StartPayment
POST
/v2.0/pre-qualification/stripe/start-payment
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/pre-qualification/stripe/start-payment';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"productId":1,"addOnSelected":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://wl.api.cluster.openbrix.co.uk/v2.0/pre-qualification/stripe/start-payment \ --header 'Content-Type: application/json' \ --data '{ "productId": 1, "addOnSelected": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
productId
required
number format: double
addOnSelected
Examplegenerated
{ "productId": 1, "addOnSelected": "example"}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
object
data
required
object
client_secret
required
string
status
required
boolean
Examplegenerated
{ "data": { "client_secret": "example" }, "status": true}